Skip to main content
Recently Deleted/Recently Deleted

RevokeManagedAgentAccess

Permanently cancel platform access with agent.access.revoke permission and a valid confirmation. Poll the returned task for logical completion; no remote uninstall is performed.

POST/api/v1/lifecycle/managed-agent/agents/{id}/revoke

Operation ID

RevokeManagedAgentAccess

Since

1.3.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • id
    StringRequired

    Unique identifier of the managed agent

Body Fields

  • requestId
    String

    Request id for this resource

    Example: value

  • precheckId
    String

    Precheck id for this resource

    Example: value

  • reason
    String

    This cancels all platform access, not one capability or the local program.

    Example: value

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • taskId
    String

    Task id for this resource

    Example: value

  • state
    String

    State for this resource

    Example: value

  • accessState
    String

    Access state for this resource

    Example: value

  • resultMessage
    String

    Present only when returning the original successful revocation task.

    Example: value

  • localUninstallCommand
    String

    Local uninstall command for this resource

    Example: value